package com.ozs.appshow.service;

import java.util.List;

import com.ozs.appshow.dto.ChartClassDTO;

import com.ozs.appshow.util.R;

public interface ChartClassService {

	public R<List<ChartClassDTO>> listChartClassTree(String className) throws Exception;

	public R<ChartClassDTO> getChartClass(String classCode) throws Exception;

	public R<String> saveChartClass(ChartClassDTO ChartClassDTO) throws Exception;

	public R<String> updateChartClass(ChartClassDTO ChartClassDTO) throws Exception;

	public R<String> removeChartClass(String classCode) throws Exception;
}
